function buscarProvee(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formProvee.txtNom.value);
  parametros.append("txtNit", document.formProvee.txtNit.value);

  $.ajax({
    data:  parametros,
    url:   "busProvee/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblProvee");
      jsonJS.provee.forEach(function(i){
        addRowProvee(i.pro_nit, i.pro_nom);
      });

      $("#tblProvee tbody tr").dblclick(function() {
        selectProvee(a, $(this));
      });

      $("#tblProvee tbody #btnSelecProvee").click(function() {
        selectProvee(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowProvee(nit, nom) {
  const markup =  "<tr>"
                    +"<td>"+nit+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecProvee'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblProvee tbody").append(markup);
}

function selectProvee(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputProvee).val(tr.find("td:eq(0)").text());
    $("#"+inputProvee).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblProvee");
}